Page MenuHomePhabricator

Merge GlobalContribs into GlobalContributions
Open, Needs TriagePublic

Description

The GlobalContributions extension seems to be outdated compared to the GlobalContribs extension (plus, GlobalContribs also has a special page for global editcount) - the former repository should probably be archived.

I can't really do a code review beyond noticing that it uses the old i18n PHP file and uses the old PHP entry point for registering an extension. Thoughts @UltrasonicNXT @ashley, and @Legoktm ?

Event Timeline

SamanthaNguyen added a subscriber: UltrasonicNXT.
SamanthaNguyen renamed this task from GlobalContributions should probably be merged with GlobalContribs to GlobalContributions should probably be merged with GlobalContribs (or vice versa).Jan 7 2017, 9:44 PM

hmm, wonder why I ever wrote GlobalContribs if GlobalContributions was already there, be it defunkt

IRC conversation related to this (if you're interested):

[15:39:47] <SamanthaNguyen> oh and, here's another task if you wanna take a look: https://phabricator.wikimedia.org/T154852
[15:42:30] <ashley> no idea really, but tl,dr: at least Brickipedia's implementation, which is essentially based on the core special pages, doesn't really scale. it might work for a handful of wikis but definitely won't work for ShoutWiki, let alone for WMF wikis -- that's pretty much why WMF sites have to rely on external, third-party developed and hosted things on Tool Labs (formerly known as Toolserver);...
[15:42:32] <ashley> ...public data from WMF wikis is replicated to Tool Labs so people can build tools which perform potentially insanely expensive queries without there being any kind of a performance hit on the real production sites (*.wikipedia.org etc.)
[15:46:12] <SamanthaNguyen> Right, that makes sense - GlobalContribs from my understanding is quite a performance hit because it has to get all this data from multiple wikis 
[15:46:41] <SamanthaNguyen> ( so I adjusted and renamed the ticket :) )
[15:47:29] <ashley> yeah -- when you have, say, hundreds of wikis, it might work, but when you have, say, over 1k wikis, you can bet safely that it's not gonna work (unless you throw plain ol' [[uncyclopedia:Bat Fuck Insane]] amounts of memory and time at it, which is gonna have a negative impact on other things)
[15:49:01] <SamanthaNguyen> It looks like ShoutWiki has their own version of a global contributions special page (according to Special:Version) called LookupContribs, I'm betting that it's restricted to staff because of this reason?
[15:51:02] <ashley> well, yes and no; it was originally based on old (like, 2006 -- literally code from the ArmchairGM codebase) Wikia code which essentially ran a query or two against all DBs...it worked out only so well, so for a long time the special page was essentially out of order; last year I rewrote the logic so now it's actually usable and definitely more scalable :-)

I wrote that extension in a few hours and haven't really looked at it since. Merging sounds good to me.

SamanthaNguyen renamed this task from GlobalContributions should probably be merged with GlobalContribs (or vice versa) to Merge GlobalContribs into GlobalContributions.Feb 6 2017, 1:05 AM

Change 354884 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/GlobalContributions@master] Update to newer extension registration

https://gerrit.wikimedia.org/r/354884

Kbrown added a subscriber: Kbrown.Jul 6 2017, 2:16 PM

Change 354884 merged by jenkins-bot:
[mediawiki/extensions/GlobalContributions@master] Update to newer extension registration

https://gerrit.wikimedia.org/r/354884

@Aklapper What do we do with projects here? Since merging has been proposed, can we just continue using GlobalContribs or shall a #GlobalContributions project be created?

@MarcoAurelio: What is the problem with projects here? Merging what into what exactly? Depends on what happens with the repositories and extension homepages, I'd say. But whenever I can avoid creating yet another project I am happy. :)

@Aklapper So they want to merge Extension:GlobalContribs with Extension:GlobalContributions. I'd say that we can continue using this GlobalContribs project for both extensions.

MarcoAurelio changed the status of subtask T157240: Archive the GlobalContribs extension from Open to Stalled.Nov 8 2017, 11:27 AM